package com.casic.missiles.mapper.equipment;

import com.casic.missiles.dto.equipment.EquipmentWorkbenchResponse;
import com.casic.missiles.model.equipment.EquipmentFixedAssets;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;

public interface EquipmentWorkbenchMapper {

    List<EquipmentFixedAssets> remindListPage();

    List<EquipmentWorkbenchResponse> measureTrend(@Param("startTime")String startTime, @Param("endTime")String endTime);

    List<EquipmentWorkbenchResponse> standardTrend(@Param("startTime")String startTime, @Param("endTime")String endTime);

    int queryVerifiedNum(@Param("businessKeys")List<String> ids,@Param("uid")String uid);

    int queryOvertimeNum(@Param("businessKeys")List<String> businessKeys, @Param("uid")String uid);
}
